@popup__content-padding: { @media @mq_phone {
    padding: @spacing/2;
} @media @mq_phone_ {
    padding: @spacing;
} };
@popup__content-transform_in: translate3d(0, -100vh, 0);
@popup__content-transform_open: translate3d(0, 0, 0);
@popup__content-transform_out: translate3d(0, 100vh, 0);
@popup__content-duration_in: .4s;
@popup__content-duration_out: .4s;
@popup__content-easing_in: cubic-bezier(0.500, 1.300, 0.500, 1.000);
@popup__content-easing_out: cubic-bezier(0.500, 0.000, 1.000, -0.600);

@popup__overlay-bg: hsla(264, 14%, 10%, 0.95);
@popup__overlay-duration_in: .25s;
@popup__overlay-duration_out: .25s;
@popup__overlay-easing_in: ease;
@popup__overlay-easing_out: ease;

@popup__close-padding: { padding: @spacing/2; };
@popup__close-transform_in: scale(0);
@popup__close-transform_open: scale(1);
@popup__close-transform_out: scale(0);
@popup__close-duration_in: .4s;
@popup__close-duration_out: .4s;
@popup__close-easing_in: @popup__content-easing_in;
@popup__close-easing_out: @popup__content-easing_out;

@keyframes popup__content-in {
    from {
        transform: @popup__content-transform_in;
    }
    to {
        transform: @popup__content-transform_open;
    }
}

@keyframes popup__content-out {
    from {
        transform: @popup__content-transform_open;
    }
    to {
        transform: @popup__content-transform_out;
    }
}

@keyframes popup__overlay-in {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes popup__overlay-out {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

@keyframes popup__close-in {
    from {
        transform: @popup__close-transform_in;
    }
    to {
        transform: @popup__close-transform_open;
    }
}

@keyframes popup__close-out {
    from {
        transform: @popup__close-transform_open;
    }
    to {
        transform: @popup__close-transform_out;
    }
}

